> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List all repository users across repositories the user has access to.

> See the `list_repo_users` route for which users can be seen by which roles.

# Access control rules

- The requester must have access to at least one repository.



## OpenAPI

````yaml GET /api/v0/repositories/all-users
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/repositories/all-users:
    get:
      tags:
        - repositories
      summary: List all repository users across repositories the user has access to.
      description: >-
        See the `list_repo_users` route for which users can be seen by which
        roles.


        # Access control rules


        - The requester must have access to at least one repository.
      operationId: list_all_repo_users
      parameters:
        - name: repositories
          in: query
          description: Limit the users to specific repositories.
          required: false
          schema:
            type:
              - array
              - 'null'
            items:
              type: string
              format: uuid
        - name: role
          in: query
          description: |-
            Limit the users to repositories in which the user (caller, not the
            returned users) has a certain role.
          required: false
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/RepositoryRole'
      responses:
        '200':
          description: List of repository users
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserAvatarList'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    RepositoryRole:
      type: string
      description: Role of a user in the context of a repository.
      enum:
        - client
        - reviewer
        - judge
        - triager
        - admin
    UserAvatarList:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/UserAvatar'
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    UserAvatar:
      type: object
      description: Enough information about a user to display their avatar.
      required:
        - id
        - name
        - username
        - avatar
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        username:
          type: string
        avatar:
          type: string
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error

````